geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Matt Hogstrom (JIRA)" <j...@apache.org>
Subject [jira] Closed: (GERONIMO-1564) Use specific geronimo.assemble.xx properties in assembly project.xml files
Date Fri, 17 Nov 2006 06:09:37 GMT
     [ http://issues.apache.org/jira/browse/GERONIMO-1564?page=all ]

Matt Hogstrom closed GERONIMO-1564.
-----------------------------------

    Resolution: Won't Fix

Improvements to the Maven 1 build are not likely.  Reopen if this is needed.

> Use specific geronimo.assemble.xx properties in assembly project.xml files
> --------------------------------------------------------------------------
>
>                 Key: GERONIMO-1564
>                 URL: http://issues.apache.org/jira/browse/GERONIMO-1564
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>          Components: buildsystem
>    Affects Versions: 1.0, 1.1
>            Reporter: John Sisson
>         Assigned To: John Sisson
>             Fix For: 1.2
>
>
> Currently it is not possible to specify more than one geronimo.assemble property values
for a dependency.  E.G. the following does not work:
>          <dependency>
>              <groupId>geronimo</groupId>
>              <version>${geronimo_spec_qname_version}</version>
>              <properties>
>                  <geronimo.assemble>library</geronimo.assemble>
>                  <geronimo.assemble>repository</geronimo.assemble>
>              </properties>
>          </dependency> 
> We need to change the assembly plugin (and assembly project.xml files) to use specific
property names so that the following is possible:
>          <dependency>
>              <groupId>geronimo</groupId>
>              <version>${geronimo_spec_qname_version}</version>
>              <properties>
>                  <geronimo.assemble.library>true</geronimo.assemble.library>
>                  <geronimo.assemble.repository>true</geronimo.assemble.repository>
>              </properties>
>          </dependency> 
> Here are the proposed changes:
> <geronimo.assemble>endorsed</geronimo.assemble>
> to:
> <geronimo.assemble.endorsed>true</geronimo.assemble.endorsed>
> <geronimo.assemble>extension</geronimo.assemble>
> to:
> <geronimo.assemble.extension>true</geronimo.assemble.extension>
> <geronimo.assemble>install</geronimo.assemble>
> to:
> <geronimo.assemble.install>true</geronimo.assemble.install>
> <geronimo.assemble>library</geronimo.assemble>
> to:
> <geronimo.assemble.library>true</geronimo.assemble.library>
> <geronimo.assemble>repository</geronimo.assemble>
> to:
> <geronimo.assemble.repository>true</geronimo.assemble.repository>
> <geronimo.assemble>unpack</geronimo.assemble>
> to:
> <geronimo.assemble.unpack>true</geronimo.assemble.unpack>

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message